function init(bIsRestart)

	-- Initialise arena - backdrop_name, start_pos, is_restart
	init_arena("level-human-zoo", CCPoint(170, -20), bIsRestart);

	bot_manager.MaxBotsOnScreen = 4
end

function onWaveCompleted()

	-- Increase amount of on screen characters to add MOAR challenge
	bot_manager.MaxBotsOnScreen = bot_manager.MaxBotsOnScreen + 2

	-- Start wave	
	nextWave();
end

function nextWave()
                
	-- Spawn regular enemies
	local bot_descs = {}
	table.insert(bot_descs, game_manager:actorDescWithFile("bib-gruntbear.plist"))

	-- Spawn lots of enemies
	local bear_id = startBossAmbush(bot_descs, "bib-bear")

	-- Start a new wave when boss bear dies
	bot_manager:triggerOnBotEvent(bear_id, kBotTrigger_Died, onWaveCompleted);


end